package cn.wise.sc.cement.business.controller;

import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.service.IDataStatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author ztw
 * @since 2021-01-12
 */
@Api(tags = "数据统计")
@RestController
@RequestMapping("/business/dataStatistics")
public class DataStatisticsController {

	private static final Logger log = LoggerFactory.getLogger("DataStatisticsController");

	@Autowired
	private IDataStatisticsService dataStatisticsService;


	@ApiOperation(value = "统计概览-重要数值统计")
	@GetMapping("/countOverview")
	public BaseResponse countOverview() {
		try {
			return dataStatisticsService.countOverview();
		} catch (Exception e) {
			log.debug("统计概览-重要数值统计{}", e);
		}
		return BaseResponse.errorMsg("失败!");
	}

	@ApiOperation(value = "统计概览-检测项数量统计")
	@ApiImplicitParams(value = {
			@ApiImplicitParam(name = "type", value = "类型1:按时间 2:按地区", paramType = "query", dataType = "Integer"),
			@ApiImplicitParam(name = "", value = "类型1:按时间 2:按地区", paramType = "query", dataType = "Integer"),
			@ApiImplicitParam(name = "startDate", value = "开始日期", paramType = "query", dataType = "String"),
			@ApiImplicitParam(name = "endDate", value = "结束日期", paramType = "query", dataType = "String")
	})
	@GetMapping("/countTeamByTime")
	public BaseResponse countTeamByTime(Integer type, String startDate, String endDate) {
		try {
			if(type == 1){


			}else if(type == 2){

			}else{

			}


			return dataStatisticsService.countTeamByTime(startDate,endDate);





		} catch (Exception e) {
			log.debug("统计概览-检测项数量统计{}", e);
		}
		return BaseResponse.errorMsg("失败!");
	}










}

